Bug 963524 - DHT - rebalance - 'gluster volume rebalance <volname> status' shows 2 entry ( 2 rows) for one host
DHT - rebalance - 'gluster volume rebalance <volname> status' shows 2 entry (...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On: 956188 1286068 1286069 1286071 1286072
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 23:54 EDT by Pranith Kumar K
Modified: 2015-11-27 05:32 EST (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 956188
Environment:
Last Closed: 2013-07-24 13:37:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-05-16 00:39:38 EDT
REVIEW: http://review.gluster.org/5016 (mgmt/glusterd: Make sure peerinfo->uuid_str is assigned) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Anand Avati 2013-05-31 14:21:06 EDT
COMMIT: http://review.gluster.org/5016 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 114c02e54abae9b3cbf0f84bc48132bf1535118e
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed May 15 18:18:24 2013 +0530

    mgmt/glusterd: Make sure peerinfo->uuid_str is assigned
    
    Change-Id: I9e2743ab61c8baee92a1dfd376ec4bb145776176
    BUG: 963524
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5016
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 3 hans 2013-06-21 04:07:53 EDT
Does this bug cause the following behaviour in v3.4.0beta3 ?

root:~/ gluster volume rebalance test01 status
                                    Node Rebalanced-files          size       scanned      failures         status run time in secs
                               ---------      -----------   -----------   -----------   -----------   ------------   --------------
                               localhost            36216        21.2GB        997411         35373    in progress        185392.00
                               localhost            36216        21.2GB        997411         35373    in progress        185392.00
                               localhost            36216        21.2GB        997411         35373    in progress        185392.00
                               localhost            36216        21.2GB        997411         35373    in progress        185392.00
                               localhost            36216        21.2GB        997411         35373    in progress        185392.00
                                 server4                0        0Bytes       1702072             0    in progress        185391.00

This volume really has only 4 servers. 1 is named correctly and 5 entries are called 'localhost'. The 3.3-head rebalance output on this same volume was OK.
Comment 4 Pranith Kumar K 2013-06-21 04:53:52 EDT
That is correct.

Note You need to log in before you can comment on or make changes to this bug.